> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Subject

> Delete a subject from the system

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the subject to delete
</ParamField>

## Response

Returns a success confirmation.

<Warning>
  Deleting a subject will also remove all associated memberships and role assignments.
</Warning>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE 'https://api.example.com/subjects/sub_123' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```

  ```javascript Node.js theme={null}
  const axios = require('axios');

  const { data } = await axios.delete('https://api.example.com/subjects/sub_123', {
    headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>
